## cinder 2014.1.2

=== requirements.txt ===
pbr>=0.6,<1.0
amqplib>=0.6.1
anyjson>=0.3.3
argparse
Babel>=1.3
eventlet>=0.13.0
greenlet>=0.3.2
iso8601>=0.1.9
kombu>=2.4.8
lxml>=2.3
netaddr>=0.7.6
oslo.config>=1.2.0
oslo.messaging>=1.3.0
oslo.rootwrap
paramiko>=1.9.0
Paste
PasteDeploy>=1.5.0
python-glanceclient>=0.9.0
python-keystoneclient>=0.7.0
python-novaclient>=2.17.0
python-swiftclient>=1.6
requests>=1.1
Routes>=1.12.3,!=2.0
taskflow>=0.1.3,<0.2
rtslib-fb>=2.1.39
six>=1.6.0
SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
sqlalchemy-migrate>=0.8.2,!=0.8.4
stevedore>=0.14
suds>=0.4
WebOb>=1.2.3
wsgiref>=0.1.2

=== debian/changelog ===
cinder (2014.1.2-1) unstable; urgency=medium

  [ gustavo panizzo ]
  * New upstream release. 
  * Bumped python-keystoneclient dependency to 0.7.0.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Aug 2014 23:42:01 +0800

cinder (2014.1.1-3) unstable; urgency=high

  * CVE-2013-1068: fixed debian/cinder-common.sudoers (Closes: #753585).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Jul 2014 21:14:40 +0800

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Gustavo Panizzo <gfa@zumbi.com.ar>
Build-Depends: debhelper (>= 8.0.0),
               openstack-pkg-tools (>= 12~),
               po-debconf,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools,
               python-sphinx
Build-Depends-Indep: python-amqplib,
                     python-anyjson (>= 0.3.3),
                     python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-daemon,
                     python-eventlet (>= 0.13.0),
                     python-fixtures (>= 0.3.14),
                     python-glanceclient (>= 1:0.9.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.8.0),
                     python-hp3parclient (>= 3.0),
                     python-hplefthandclient,
                     python-iso8601 (>= 0.1.9),
                     python-keystoneclient (>= 1:0.7.0),
                     python-kombu (>= 2.5.12),
                     python-lockfile,
                     python-lxml,
                     python-migrate (>= 0.8.2),
                     python-mock (>= 1.0),
                     python-mox,
                     python-mysqldb,
                     python-netaddr,
                     python-novaclient (>= 2:2.17.0),
                     python-oslo.config (>= 1:1.2.1),
                     python-oslo.messaging (>= 1.3.0~a9),
                     python-oslo.rootwrap,
                     python-oslosphinx,
                     python-paramiko (>= 1.9.0),
                     python-paste,
                     python-pastedeploy,
                     python-psycopg2,
                     python-requests (>= 1.1),
                     python-routes,
                     python-rtslib-fb,
                     python-six (>= 1.6.0),
                     python-sqlalchemy,
                     python-stevedore (>= 0.14),
                     python-subunit (>= 0.0.18),
                     python-suds,
                     python-swiftclient (>= 1:1.6.0),
                     python-taskflow (>= 0.1.3),
                     python-testtools (>= 0.9.34),
                     python-webob (>= 1.2.3),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/cinder.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/cinder.git
Homepage: http://cinder.openstack.org/

Package: python-cinder
Section: python
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-amqplib,
         python-anyjson (>= 0.3.3),
         python-babel (>= 1.3),
         python-daemon,
         python-eventlet (>= 0.13.0),
         python-glanceclient (>= 1:0.9.0),
         python-greenlet (>= 0.3.2),
         python-iso8601 (>= 0.1.9),
         python-keystoneclient (>= 1:0.7.0),
         python-kombu (>= 2.5.12),
         python-lockfile,
         python-lxml,
         python-migrate (>= 0.8.2),
         python-mysqldb,
         python-netaddr,
         python-novaclient (>= 2:2.17.0),
         python-oslo.config (>= 1:1.2.1),
         python-oslo.messaging (>= 1.3.0~a9),
         python-oslo.rootwrap,
         python-paramiko (>= 1.9.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 0.6),
         python-requests (>= 1.1),
         python-routes,
         python-rtslib-fb,
         python-six (>= 1.6.0),
         python-sqlalchemy,
         python-stevedore (>= 0.14),
         python-suds,
         python-swiftclient (>= 1:1.6.0),
         python-taskflow (>= 0.1.3),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack block storage system - Python libraries
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Python libraries that are part of Cinder.

Package: cinder-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         debconf,
         python-cinder (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: OpenStack block storage system - common files
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: cinder-api
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         cinder-common (= ${binary:Version}),
         debconf,
         python-keystoneclient (>= 1:0.7.0),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack block storage system - API server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the API server on which clients will connect.

Package: cinder-volume
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         cinder-common (= ${binary:Version}),
         lvm2,
         qemu-utils,
         tgt (>= 1:1.0.17-1.1~),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Suggests: ceph-common
Description: OpenStack block storage system - Volume server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Volume server which will actually do the storage.

Package: cinder-scheduler
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack block storage system - Scheduler server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Scheduler server.

Package: cinder-backup
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack block storage system - Backup server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder backup service.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=$(CURDIR) bash run_tests.sh -N -P || true
endif

override_dh_clean:
	dh_clean
	rm -f debian/cinder-common.config debian/cinder-common.postinst debian/cinder-api.config debian/cinder-api.postinst debian/cinder-volume.postinst
	rm -rf setuptools_git-*-py*.egg/

override_dh_install:
	dh_install --fail-missing -Xbin/cinder-all
	install -D -m 0440 debian/cinder-common.sudoers $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common
	install -D -m 0644 $(CURDIR)/etc/cinder/cinder.conf.sample $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	# Disable https in default setup, as this makes our CI fail
	sed -i 's/#auth_protocol=https/auth_protocol=http/' $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	install -D -m 0644 $(CURDIR)/etc/cinder/logging_sample.conf $(CURDIR)/debian/cinder-common/usr/share/cinder-common/logging.conf
	sed -i 's|#rootwrap_config=<None>|rootwrap_config=/etc/cinder/rootwrap.conf|' $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common
	echo "# Connection to db:" >>$(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "sql_connection = sqlite:////var/lib/cinder/cinderdb" >>$(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	sed -i "s/#auth_strategy=noauth/auth_strategy=keystone/" $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	sed -i 's|#state_path=$pybasedir|state_path=/var/lib/cinder|' $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf
	chmod 0440 $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

override_dh_auto_build:
	dh_auto_build

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-volume.postinst

=== debian/watch ===
version=3
https://github.com/openstack/nova/tags .*/(\d[\d\.]+)\.tar\.gz

## cinder 2014.1.3

=== requirements.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 rtslib-fb>=2.1.39
 six>=1.6.0
 SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
-sqlalchemy-migrate>=0.8.2,!=0.8.4
+sqlalchemy-migrate>=0.8.2,!=0.8.4,!=0.9.2
 stevedore>=0.14
 suds>=0.4
 WebOb>=1.2.3

=== debian/changelog ===
cinder (1:2014.1.3-0ubuntu1.1) trusty-security; urgency=medium

  * No change rebuild for security:
    - [7eef596] Refuse invalid qcow2 backing files
      + CVE-2014-3641
      + LP: #1350504
    - [ec249ee] Sync latest process and str utils from oslo
      + CVE-2014-7230
      + LP: #1343604

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 21 Oct 2014 12:02:55 -0400

cinder (1:2014.1.3-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (360705a) (LP: #1377136):
    - [7eef596] Refuse invalid qcow2 backing files
    - [8f7823d] Fixes terminate_connection live migration issue
    - [db5a25d] NetApp NFS: Do not reference dst_img_local before assignment
    - [ec249ee] Sync latest process and str utils from oslo
    - [d3b1102] Fix KeyError exception in NetApp CDOT iscsi driver volume create.
    - [1604b49] Don't clear _mounted_shares list in remoteFS while updating
    - [da5c3e6] Update cinder.conf.sample
    - [8178590] Block sqlalchemy-migrate 0.9.2
    - [5863f52] Mock glance client object in version unit tests
    - [03573a0] VMware: Disable suds caching
    - [c282636] Honor volume:get policy
    - [da65d08] Prevent tenant viewing volumes owned by another
    - [5f88296] Fix performance issues with brocade zone driver.
    - [36406c9] Cache snapshots in request for extension
    - [ce35e7a] volume_image_metadata missing from volume list
    - [69ade10] Add retry_on_deadlock to db update methods
    - [3b4d5b0] Add fix for reservation index to icehouse
    - [360705a] vmware: Force chunked transfer for upload-to-image
  * d/p/fix-requirements.patch: Rebased.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Oct 2014 15:32:56 -0400

cinder (1:2014.1.2-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (00d456b) (LP: #1354159):
    - [a1135b7] Fix solidfire accept_transfer
    - [00b7574] Fixes HP LeftHand driver with Paramiko 1.13.0
    - [22e451b] Set python hash seed to 0 in tox.ini
    - [cd7dd94] Get updated model info on volume transfer
    - [f6df82c] Ensure flushing of IO prior to removing FC device
    - [63ba651] Don't leave snapshots on the floor
    - [c74efd7] Retry lvremove with ignore_suspended_devices
    - [fe37a6e] Remove second get call to list/show volumes
    - [1d80539] Add cinder-manage cmd to update host column
    - [d12c513] Fix host option isn't set when using multiple backend
    - [570c90f] Add the -f option back to lvremove
    - [170632f] Update requirements.txt to disallow alpha libs
    - [04c7431] Allow host config to be overriden in backend
    - [f96e991] Storwize/SVC driver detach volume failed
    - [c4d3c1c] Fix handling multiple WWPNs on preferred FC node
    - [3877a73] vmware: Fix problems with VIM API retry logic
    - [cab4ef6] Specify lld in tgt config backends
    - [d4392f3] Fix retyping volume that has volume type None
    - [d6829c1] Ensure that lun_id is an int
    - [00d456b] GET details REST API next link missing 'details'
  * d/p/fix-requirements.patch: Refreshed.

  [ James Page ]
  * d/watch: Point to tarballs.openstack.org for release artifacts.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Aug 2014 11:21:47 -0400

cinder (1:2014.1.1-0ubuntu2) trusty-proposed; urgency=medium

  [ Corey Bryant <corey.bryant@canonical.com> ]
  * Resynchronize with stable/icehouse (aa0e752) (LP: #1328134):
    - [d58abc1] Update cinder.conf
    - [5330d3b] Updated from global requirements
    - [41127fb] Properly initialize rpc in cinder-volume-usage-audit
    - [75fa69d] Storwize/SVC driver crashes when check volume copy status
    - [bc585a0] Fix solaris_execute in SolarisISCSIDriver.
    - [bc0442a] Fix wrong exception reference
    - [59fe59e] Correct metadata ordering issue in tests
    - [1e48833] Fallback to None on missing Glance image attrs
    - [767c2a6] Keep volume available if retype fails due to quota
    - [d0602f6] Fixes cinder error state volume delete on Windows
    - [1815c72] Re-raise exceptions in upload-to-image
    - [560740f] GlusterFS: Delete active snapshot file on volume delete.
    - [d17277d] Add exception catch if Storwize/SVC driver failed when retyping
    - [49446bc] Disable oslo.messaging debug logs
    - [aa0e752] Adjust sample config for keystoneclient 0.8.0 release
  * debian/patches/fix-requirements.patch: Refreshed, drop six requirement to
    align to 14.04 version.

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * SECURITY UPDATE: specify /etc/cinder/rootwrap.conf for use with
    cinder-rootwrap
    - CVE-2013-1068 (LP: #1185019)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 18 Jun 2014 13:05:17 -0500

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6)
Build-Depends-Indep:
 python-amqplib (>= 0.6.1),
 python-anyjson (>= 0.3.3),
 python-babel,
 python-coverage,
 python-d2to1,
 python-eventlet (>= 0.13.0),
 python-fixtures (>= 0.3.14),
 python-glanceclient (>= 1:0.9.0),
 python-greenlet (>= 0.3.2),
 python-hp3parclient (>= 3.0.0),
 python-hplefthandclient (>= 1.0.0),
 python-iso8601,
 python-keystoneclient (>= 1:0.4.2),
 python-kombu (>= 2.5.12),
 python-lockfile,
 python-lxml (>= 2.3),
 python-migrate,
 python-mock,
 python-mox,
 python-mysqldb,
 python-netaddr,
 python-novaclient (>= 1:2.15.0),
 python-oslo.config (>= 1:1.1.0),
 python-oslo.rootwrap,
 python-oslo.messaging,
 python-paramiko (>= 1.8),
 python-paste,
 python-pastedeploy,
 python-pbr (>= 0.5.21),
 python-routes,
 python-setuptools,
 python-six (>= 1.4.1),
 python-sphinx,
 python-sqlalchemy (>= 0.8.2),
 python-stevedore (>= 0.10),
 python-suds,
 python-swiftclient (>= 1:1.5),
 python-taskflow,
 python-testtools (>= 0.9.32),
 python-webob (>= 1.2.3),
 subunit,
 testrepository (>= 0.0.17)
Standards-Version: 3.9.4
Homepage: http://launchpad.net/cinder
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/cinder/icehouse/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/cinder/icehouse
XS-Testsuite: autopkgtest

Package: python-cinder
Section: python
Architecture: all
Depends:
 python-amqplib (>= 0.6.1),
 python-anyjson (>= 0.3.3),
 python-babel,
 python-eventlet (>= 0.13.0),
 python-glanceclient (>= 1:0.9.0),
 python-greenlet (>= 0.3.2),
 python-iso8601,
 python-keystoneclient (>= 1:0.3.0),
 python-kombu (>= 2.5.12),
 python-lockfile,
 python-lxml (>= 2.3),
 python-migrate,
 python-netaddr,
 python-novaclient (>= 1:2.12.0),
 python-oslo.config (>= 1:1.1.0),
 python-oslo.messaging,
 python-paramiko (>= 1.8),
 python-paste,
 python-pastedeploy,
 python-routes,
 python-six (>= 1.4.1),
 python-sqlalchemy (>= 0.8.2),
 python-stevedore (>= 0.10),
 python-suds,
 python-swiftclient (>= 1:1.5),
 python-taskflow,
 python-webob (>= 1.2.3),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-ceph, python-hp3parclient
Description: Cinder Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python library for Cinder.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 python-cinder (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-api
Architecture: all
Depends: cinder-common (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-volume
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 lvm2,
 tgt,
 ${misc:Depends},
 ${python:Depends}
Breaks: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 )
Replaces: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 )
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: cinder-scheduler
Architecture: all
Depends: cinder-common (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-backup
Architecture: all
Depends: cinder-common (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder backup service.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N -P
endif

override_dh_install:
	dh_install --fail-missing -Xbin/cinder-all

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf

override_dh_clean:
	# temporary workaround for d2to1 wonkyness
	dh_clean -Xsetup.cfg

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/cinder cinder-(.*)\.tar\.gz

## cinder 2014.1.5

=== requirements.txt ===
pbr>=0.6,<1.0
amqplib>=0.6.1
anyjson>=0.3.3,<=0.3.3
argparse
Babel>=1.3,<=1.3
eventlet>=0.13.0,<0.16.0
greenlet>=0.3.2,<=0.4.5
iso8601>=0.1.9,<=0.1.10
kombu>=2.5.0,<=3.0.7
lxml>=2.3,<=3.4.2
netaddr>=0.7.6,<=0.7.14
oslo.config>=1.2.0,<1.5
oslo.messaging>=1.3.0,<1.5
oslo.rootwrap<1.4
paramiko>=1.9.0,<=1.15.2
Paste
PasteDeploy>=1.5.0,<=1.5.2
python-glanceclient>=0.9.0,!=0.14.0,<=0.14.2
python-keystoneclient>=0.7.0,<0.12.0
python-novaclient>=2.17.0,<2.21
python-swiftclient>=1.6,<=2.3.1
requests>=1.1,<=2.6.0
Routes>=1.12.3,!=2.0
taskflow>=0.1.3,<0.2
rtslib-fb>=2.1.39
six>=1.6.0,<=1.9.0
SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
sqlalchemy-migrate>=0.8.2,!=0.8.4,<=0.9.1
stevedore>=0.14
suds==0.4
WebOb>=1.2.3,<=1.4
wsgiref>=0.1.2

=== debian/changelog ===
cinder (1:2014.1.5-0ubuntu2.2) trusty; urgency=medium

  * Fix issue that upload-to-image doesn't copy os_type property
    (LP: #1692446):
    - d/p/0001-Copy-custom-properties-to-image-from-volume.patch
    - d/p/0001-Fix-volume-upload-failure-with-glance_api_version-2.patch

 -- Seyeong Kim <seyeong.kim@canonical.com>  Fri, 19 May 2017 18:37:48 +0900

cinder (1:2014.1.5-0ubuntu2.1) trusty; urgency=medium

  * Include boot properties from glance v2 images (LP: #1439371):
    - d/p/include-boot-properties-from-glance-v2-images.patch
  * Fix extract properties from image with glance api v2 (LP: #1323660):
    - d/p/fix-properties-extracting-from-image-with-glance-api.patch

 -- Seyeong Kim <seyeong.kim@canonical.com>  Fri, 11 Nov 2016 11:23:53 +0900

cinder (1:2014.1.5-0ubuntu2) trusty; urgency=medium

  * Enable iscsi_write_cache option for tgtadm backends (LP: #1336568):
    - d/p/tgtadmin-iscsi-write-cache-config.patch - Includes backport of
      change from the juno release for enabling iscsi write cache policy
      for tgtadm.

 -- Billy Olsen <billy.olsen@canonical.com>  Mon, 27 Jul 2015 17:35:57 -0700

cinder (1:2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (d03ca5d) (LP: #1467533):
    - [bc0549e] Disallow backing files when uploading volumes to image
    - [15901c4] Deal with PEP-0476 certificate chaining checking
    - [d03ca5d] Ignore HTTP_PROXY during test requests
  * d/p/fix-requirements.patch: Rebased

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 22 Jun 2015 10:12:20 -0400

cinder (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2015 08:46:58 -0400

cinder (1:2014.1.4-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (93de51d) (LP: #1432608):
    - [303d021] Catch ImageNotFound exception when deleting rbd volume
    - [f8dea5a] NetApp E-series: Do not log passwords in requests
    - [97a7e20] Fixes HostTestCase failures due to slow test run
    - [2670384] NetApp 7mode NFS driver doesn't honor netapp_vfiler option
    - [6aa4bca] Raise exception if invalid IP is specified
    - [1142830] Fix NetApp AutoSupport Shortcomings.
    - [e446335] Remove check_uptodate.sh check from tox.ini
    - [4041d30] Eventlet green threads not released back to pool
    - [1d48d01] Removes unecessary call to rbd.Image
    - [4a14db7] Ensure rbd connect exception is properly caught
    - [b05498d] NetApp fix attach fail for already mapped volume
    - [f5bf67a] NetApp fix for controller preferred path
    - [d57b339] fixing the iSER transport protocol when using LVMISERDriver
    - [24759d9] Cinder api service doesn't handle SIGHUP properly
    - [3821206] Sync latest strutils from oslo-incubator for mask_password fix
    - [71b5315] NetApp fix for default host type in eseries
    - [0b8455a] NetApp fix eseries concurrent vol map failure
    - [ffc886b] Fix possible race condition for accept transfer
    - [390259b] Sync process utils from oslo
    - [93de51d] Fix NetAppDirectCmodeNfsDriver._find_shares()
  * d/p/fix-requirements.patch: Rebased

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Mar 2015 08:54:52 +0000

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  python-pbr (>= 0.5.21),
  python-routes,
  python-setuptools,
- python-six (>= 1.4.1),
+ python-six (>= 1.5.2),
  python-sphinx,
  python-sqlalchemy (>= 0.8.2),
  python-stevedore (>= 0.10),
@@ -76,7 +76,7 @@
  python-paste,
  python-pastedeploy,
  python-routes,
- python-six (>= 1.4.1),
+ python-six (>= 1.5.2),
  python-sqlalchemy (>= 0.8.2),
  python-stevedore (>= 0.10),
  python-suds,

## cinder 2014.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
anyjson>=0.3.3
argparse
Babel>=1.3
eventlet>=0.15.1
greenlet>=0.3.2
iso8601>=0.1.9
keystonemiddleware>=1.0.0
kombu>=2.5.0
lxml>=2.3
netaddr>=0.7.12
oslo.config>=1.4.0  # Apache-2.0
oslo.db>=1.0.0  # Apache-2.0
oslo.messaging>=1.4.0
oslo.rootwrap>=1.3.0
osprofiler>=0.3.0                       # Apache-2.0
paramiko>=1.13.0
Paste
PasteDeploy>=1.5.0
pycrypto>=2.6
python-barbicanclient>=2.1.0
python-glanceclient>=0.14.0
python-novaclient>=2.18.0
python-swiftclient>=2.2.0
requests>=1.2.1,!=2.4.0
Routes>=1.12.3,!=2.0
taskflow>=0.4
rtslib-fb>=2.1.39
six>=1.7.0
SQLAlchemy>=0.8.4,<=0.8.99,>=0.9.7,<=0.9.99
sqlalchemy-migrate>=0.9.1,!=0.9.2
stevedore>=1.0.0  # Apache-2.0
suds>=0.4
WebOb>=1.2.3
wsgiref>=0.1.2
oslo.i18n>=1.0.0  # Apache-2.0

=== debian/control ===
--- 
+++ 
@@ -1,55 +1,60 @@
 Source: cinder
 Section: net
 Priority: extra
-Maintainer: Chuck Short <zulcss@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6)
 Build-Depends-Indep:
- python-amqplib (>= 0.6.1),
  python-anyjson (>= 0.3.3),
  python-babel,
+ python-barbicanclient,
  python-coverage,
- python-d2to1,
+ python-crypto (>= 2.6),
  python-eventlet (>= 0.13.0),
  python-fixtures (>= 0.3.14),
- python-glanceclient (>= 1:0.9.0),
+ python-glanceclient (>= 1:0.14.0),
  python-greenlet (>= 0.3.2),
- python-hp3parclient (>= 3.0.0),
- python-hplefthandclient (>= 1.0.0),
- python-iso8601,
+ python-hacking,
+ python-iso8601 (>= 0.1.9),
  python-keystoneclient (>= 1:0.4.2),
+ python-keystonemiddleware (>= 1.0.0),
  python-kombu (>= 2.5.12),
- python-lockfile,
  python-lxml (>= 2.3),
- python-migrate,
+ python-migrate (>= 0.9.1),
  python-mock,
  python-mox,
  python-mysqldb,
- python-netaddr,
- python-novaclient (>= 1:2.15.0),
- python-oslo.config (>= 1:1.1.0),
- python-oslo.rootwrap,
- python-oslo.messaging,
- python-paramiko (>= 1.8),
+ python-netaddr (>= 0.7.12),
+ python-novaclient (>= 1:2.18.0),
+ python-oslo.config (>= 1:1.4.0.0~a3),
+ python-oslo.db (>= 0.4.0),
+ python-oslo.i18n (>= 0.3.0),
+ python-oslo.messaging (>= 1.4.0.0~a3),
+ python-oslo.rootwrap (>= 1.3.0.0~a1),
+ python-oslosphinx,
+ python-osprofiler,
+ python-paramiko (>= 1.13.0),
  python-paste,
  python-pastedeploy,
- python-pbr (>= 0.5.21),
+ python-pbr (>= 0.6),
+ python-requests (>= 1.2.12.1),
  python-routes,
  python-setuptools,
- python-six (>= 1.5.2),
+ python-six (>= 1.7.0),
  python-sphinx,
- python-sqlalchemy (>= 0.8.2),
- python-stevedore (>= 0.10),
- python-suds,
- python-swiftclient (>= 1:1.5),
- python-taskflow,
+ python-sqlalchemy (>= 0.8.4),
+ python-stevedore (>= 1.0.0),
+ python-suds (>= 0.4),
+ python-swiftclient (>= 1:2.2.0),
+ python-taskflow (>= 0.3),
  python-testtools (>= 0.9.32),
  python-webob (>= 1.2.3),
  subunit,
  testrepository (>= 0.0.17)
 Standards-Version: 3.9.4
 Homepage: http://launchpad.net/cinder
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/cinder/icehouse/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/cinder/icehouse
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/cinder/juno/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/cinder/juno
 XS-Testsuite: autopkgtest
 
 Package: python-cinder
@@ -59,29 +64,37 @@
  python-amqplib (>= 0.6.1),
  python-anyjson (>= 0.3.3),
  python-babel,
+ python-barbicanclient,
+ python-crypto (>= 2.6),
  python-eventlet (>= 0.13.0),
- python-glanceclient (>= 1:0.9.0),
+ python-glanceclient (>= 1:0.14.0),
  python-greenlet (>= 0.3.2),
- python-iso8601,
+ python-iso8601 (>= 0.1.9),
  python-keystoneclient (>= 1:0.3.0),
+ python-keystonemiddleware (>= 1.0.0),
  python-kombu (>= 2.5.12),
  python-lockfile,
  python-lxml (>= 2.3),
- python-migrate,
- python-netaddr,
- python-novaclient (>= 1:2.12.0),
- python-oslo.config (>= 1:1.1.0),
- python-oslo.messaging,
- python-paramiko (>= 1.8),
+ python-migrate (>= 0.9.1),
+ python-netaddr (>= 0.7.12),
+ python-novaclient (>= 1:2.18.0),
+ python-oslo.config (>= 1:1.4.0.0~a3),
+ python-oslo.db (>= 0.4.0),
+ python-oslo.i18n (>= 0.3.0),
+ python-oslo.messaging (>= 1.4.0.0~a3),
+ python-oslo.rootwrap (>= 1.3.0.0~a1),
+ python-osprofiler,
+ python-paramiko (>= 1.13.0),
  python-paste,
  python-pastedeploy,
+ python-requests (>= 1.2.1),
  python-routes,
- python-six (>= 1.5.2),
- python-sqlalchemy (>= 0.8.2),
- python-stevedore (>= 0.10),
- python-suds,
- python-swiftclient (>= 1:1.5),
- python-taskflow,
+ python-six (>= 1.7.0),
+ python-sqlalchemy (>= 0.8.4),
+ python-stevedore (>= 1.0.0),
+ python-suds (>= 0.4),
+ python-swiftclient (>= 1:2.2.0),
+ python-taskflow (>= 0.3),
  python-webob (>= 1.2.3),
  ${misc:Depends},
  ${python:Depends}
@@ -116,7 +129,10 @@
 
 Package: cinder-api
 Architecture: all
-Depends: cinder-common (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
+Depends:
+ cinder-common (= ${binary:Version}),
+ ${misc:Depends},
+ ${python:Depends}
 Description: Cinder storage service - API server
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -132,6 +148,7 @@
 Depends:
  cinder-common (= ${binary:Version}),
  lvm2,
+ qemu-utils,
  tgt,
  ${misc:Depends},
  ${python:Depends}
@@ -149,7 +166,10 @@
 
 Package: cinder-scheduler
 Architecture: all
-Depends: cinder-common (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
+Depends:
+ cinder-common (= ${binary:Version}),
+ ${misc:Depends},
+ ${python:Depends}
 Description: Cinder storage service - Scheduler server
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -162,7 +182,10 @@
 
 Package: cinder-backup
 Architecture: all
-Depends: cinder-common (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
+Depends:
+ cinder-common (= ${binary:Version}),
+ ${misc:Depends},
+ ${python:Depends}
 Description: Cinder storage service - Scheduler server
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,12 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	./run_tests.sh -N -P
+	rm -rf .testrepository
+	testr init && \
+	set -e && \
+	TEMP_REZ=`mktemp -t` && \
+	testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
+	rm -f $$TEMP_REZ
 endif
 
 override_dh_install:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/cinder/ cinder-(\d.*)\.tar\.gz

## cinder 2014.2.3

=== debian/changelog ===
cinder (1:2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronized with stable/juno (4f088a7) (LP: #1443429):
    - [a3e4439] Deal with PEP-0476 certificate chaining checking
    - [8940579] Clear migration_status from a destination volume if migration fails
    - [7f861a8] Remove the import of oslo_i18n lib in Juno
    - [6a950f1] Scality: Lock around SOFS mount to avoid a race
    - [03f8f0d] Sync requirements files for Juno
    - [a2a48a2] NetApp fix vol migration unusability
  * debian/patches/fix-requirements.patch: Rebased
  * debian/patches/revert-oslo-i18n-changes.patch: Rebased

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Apr 2015 09:41:58 -0400

cinder (1:2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (dc00837) (LP: #1418695):
    - [f88dc84] Add client_socket_timeout option
    - [ab9a1ad] Create "image_conversion_dir" before creating temporary file
    - [6020cc6] Defining the variable "tmp" before try block
    - [67cdc1f] Set 'driver_volume_type' to 'gpfs'
    - [0b2f278] Garbage Remains when Attached Volume is Migrated with NFS Driver
    - [215fb06] NetApp fix to set non default server port in api
    - [7ebaf68] Fix eqlx endless loop when server closes the connection
    - [58f7633] Fix eqlx CLI output parsing on bad input
    - [32f7788] Fix zfssa driver volume attach to work with latest zfssa software
    - [ed4681f] LIO: Fix UnboundLocalError in ensure_export
    - [3965a5f] Remove import of private _lazy module
    - [23c77ed] Mock calls to rpm and dpkg from NetApp unit tests
    - [81a308d] NetApp E-series: Do not log passwords in requests
    - [ae717b1] Ensure that lun_id is an int for NetApp Drivers
    - [36bb8c2] Catch ImageNotFound exception when deleting rbd volume
    - [a843aff] Correct the message string
    - [08bf231] Fix NetApp AutoSupport Shortcomings.
    - [4b6b7c3] Raise exception if invalid IP is specified
    - [dc00837] NetApp 7mode NFS driver doesn't honor netapp_vfiler option
  * d/p/fix-requirements.patch: Rebased.
  * d/p/revert-oslo-i18n-changes.patch: Added to revert use of oslo.i18n support
    that is not in utopic.
  * d/control: Bump minimum python-eventlet to get socket_timeout support.
    (LP: #1419117).

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 15:01:22 -0500

cinder (1:2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (f17aa46) (LP: #1398952):
    - [498fe7e] Revert "Fix Brocade FC SAN lookup MITM vulnerability"
    - [31b5831] Remove check_uptodate.sh check from tox.ini
    - [0d60ddc] VMware: Set target ESX host for backing VM clone
    - [423f702] IBM Storwize driver: Add local variable assignment to "ctxt"
    - [7b1d7a3] Change CHAP secret default length
    - [6fac126] TgtAdm: Don't change CHAP username/password on live migration
    - [fd323fe] Fix wrapper to work with barbicanclient 3.0.1
    - [e25b50f] Update cinder.conf.sample to fix max db conn retries
    - [628196e] Fix Brocade FC SAN lookup MITM vulnerability
    - [67c5a66] Remove test_barbican from keymgr tests
    - [b57c024] Eventlet green threads not released back to pool
    - [029e8c5] Use look up service for auto zoning
    - [f3320fc] Cinder api service doesn't handle SIGHUP properly
    - [c007350] Truncate fail_reason to column length
    - [7270e3f] VMware: Fix initialization of datastore selector
    - [f17aa46] NetApp fix for default host type in eseries

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Dec 2014 12:56:28 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python-barbicanclient,
  python-coverage,
  python-crypto (>= 2.6),
- python-eventlet (>= 0.13.0),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-fixtures (>= 0.3.14),
  python-glanceclient (>= 1:0.14.0),
  python-greenlet (>= 0.3.2),
@@ -66,7 +66,7 @@
  python-babel,
  python-barbicanclient,
  python-crypto (>= 2.6),
- python-eventlet (>= 0.13.0),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-glanceclient (>= 1:0.14.0),
  python-greenlet (>= 0.3.2),
  python-iso8601 (>= 0.1.9),

## cinder 2014.2.4

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=0.7,<1.0,>=0.6
anyjson<=0.3.3,>=0.3.3
argparse
Babel<=1.3,>=1.3
eventlet<=0.15.2,>=0.15.1
greenlet<=0.4.2,>=0.3.2
iso8601<=0.1.10,>=0.1.9
keystonemiddleware<1.4.0,>=1.0.0
kombu<=3.0.15,>=2.5.0
lxml<=3.3.3,>=2.3
netaddr<=0.7.13,>=0.7.12
oslo.config<=1.6.0,>=1.4.0 # Apache-2.0
oslo.db<1.1,>=1.0.0 # Apache-2.0
oslo.messaging<1.5.0,>=1.4.0
oslo.rootwrap<=1.5.0,>=1.3.0
osprofiler<=0.3.0,>=0.3.0 # Apache-2.0
paramiko<=1.15.2,>=1.13.0
Paste<=1.7.5.1
PasteDeploy<=1.5.2,>=1.5.0
pycrypto<=2.6.1,>=2.6
python-barbicanclient!=3.0.0,<3.0.2,>=2.1.0
python-glanceclient<0.15.0,>=0.14.0
python-novaclient<=2.20.0,>=2.18.0
python-swiftclient<2.4.0,>=2.2.0
requests!=2.4.0,<=2.2.1,>=2.1.0
Routes!=2.0,<=2.1,>=1.12.3
taskflow<0.7.0,>=0.4
rtslib-fb<=2.1.51,>=2.1.39
six<=1.9.0,>=1.7.0
SQLAlchemy!=0.9.0,!=0.9.1,!=0.9.2,!=0.9.3,!=0.9.4,!=0.9.5,!=0.9.6,<=0.9.99,>=0.8.4
sqlalchemy-migrate==0.9.1
stevedore<=1.3.0,>=1.0.0 # Apache-2.0
suds==0.4
WebOb<=1.3.1,>=1.2.3
wsgiref>=0.1.2
oslo.i18n<=1.3.1,>=1.3.0 # Apache-2.0

=== debian/changelog ===
cinder (1:2014.2.4-0ubuntu1~cloud2) trusty-juno; urgency=medium

  * d/control: Add missing dependencies to Depends (LP: #1524177).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2015 11:31:49 -0500

cinder (1:2014.2.4-0ubuntu1~cloud1) trusty-juno; urgency=medium

  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Nov 2015 16:51:02 -0500

cinder (1:2014.2.4-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * Resynchronize with stable/juno (c1493ab) (LP: #1518323):
    - [7979f55] Fix HDS HNAS driver logging password as plain text
    - [22ad326] Remove nonexistent LIO terminate_connection call
    - [d31c937] Disallow backing files when uploading volumes to image
    - [7955d5f] LVM: Pass volume size in MiB to copy_volume() during volume migration
    - [9c0a64f] Remove iscsi_helper calls from base iscsi driver
    - [d89f493] Fix exceptions logging in iSCSI targets
    - [7a6cb59] Get the 'consumer' in a correct way for retyping with qos-specs
    - [66de62b] Delete the temporary volume if migration fails
    - [89a6082] Fix re-export of iscsi volume when using lioadm
    - [1706688] Revert "Add support for customized cluster name"
    - [f5895fe] Add support for customized cluster name
    - [78dc8fa] Only use operational LIFs for iscsi target details
    - [c1493ab] Failed to discovery when iscsi multipath and CHAP both enabled
  * d/p/fix-requirements.patch: Rebase and revert python-oslo.i18n to >= 1.0.0.
  * d/p/CVE-2015-1851.patch: Dropped. Fixed upstream by [d31c937].

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Nov 2015 10:28:28 -0500

cinder (1:2014.2.3-0ubuntu1.1~cloud0) trusty-juno; urgency=medium

  * SECURITY UPDATE: arbitrary file read via crafted qcow2 backing file
    - debian/patches/CVE-2015-1851.patch: disallow backing files in
      cinder/image/image_utils.py, added test to
      cinder/tests/test_image_utils.py.
    - CVE-2015-1851

 -- James Page <james.page@ubuntu.com>  Thu, 06 Aug 2015 09:11:31 +0100

=== debian/control ===
--- 
+++ 
@@ -87,6 +87,7 @@
  python-paramiko (>= 1.13.0),
  python-paste,
  python-pastedeploy,
+ python-pbr (>= 0.6),
  python-requests (>= 1.2.1),
  python-routes,
  python-six (>= 1.7.0),

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,9 @@
 	rm -f $$TEMP_REZ
 endif
 
+override_dh_python2:
+	dh_python2 --no-guessing-deps
+
 override_dh_install:
 	dh_install --fail-missing -Xbin/cinder-all

## cinder 2015.1~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
anyjson>=0.3.3
Babel>=1.3
eventlet>=0.16.1,!=0.17.0
greenlet>=0.3.2
iso8601>=0.1.9
keystonemiddleware>=1.5.0
kombu>=2.5.0
lxml>=2.3
netaddr>=0.7.12
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
oslo.context>=0.2.0,<0.3.0                     # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.log>=1.0.0,<1.1.0  # Apache-2.0
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.middleware>=1.0.0,<1.1.0                  # Apache-2.0
oslo.rootwrap>=1.6.0,<1.7.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
osprofiler>=0.3.0                       # Apache-2.0
paramiko>=1.13.0
Paste
PasteDeploy>=1.5.0
pycrypto>=2.6
pyparsing>=2.0.1
python-barbicanclient>=3.0.1
python-glanceclient>=0.15.0
python-novaclient>=2.22.0
python-swiftclient>=2.2.0
requests>=2.2.0,!=2.4.0
retrying>=1.2.3,!=1.3.0 # Apache-2.0
Routes>=1.12.3,!=2.0
taskflow>=0.7.1,<0.8.0
rtslib-fb>=2.1.41
six>=1.9.0
SQLAlchemy>=0.9.7,<=0.9.99
sqlalchemy-migrate>=0.9.5
stevedore>=1.3.0,<1.4.0  # Apache-2.0
suds>=0.4
WebOb>=1.2.3
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.vmware>=0.11.1,<0.12.0                     # Apache-2.0

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/openstack-pkg-tools/pkgos.make
+
 %:
-	dh $@  --with python2
+	dh $@  --with python2,systemd
 
 get-orig-source:
 	uscan --verbose --rename --destdir=../build-area
@@ -19,9 +21,6 @@
 	rm -f $$TEMP_REZ
 endif
 
-override_dh_python2:
-	dh_python2 --no-guessing-deps
-
 override_dh_install:
 	dh_install --fail-missing -Xbin/cinder-all
 
@@ -31,3 +30,4 @@
 override_dh_clean:
 	# temporary workaround for d2to1 wonkyness
 	dh_clean -Xsetup.cfg
+	rm -f debian/*.init debian/*.service debian/*.upstart
